Class | Bio::Hinv::HixCnt
In: | lib/bio/io/hinv.rb
Parent: | Object

serv = Bio::Hinv::HixCnt.new serv.query puts serv.result

### Methods

new result

### Included Modules

Common

### Public Class methods

new()

[Source]

         # File lib/bio/io/hinv.rb, line 314
    314:       def initialize
    315:         @url = BASE_URI + "hix_cnt.php"
    316:       end

### Public Instance methods

result()

<?xml version=‘1.0’ encoding=‘UTF-8’?> <H-Inv>

     <LOCUS_CNT>36073</LOCUS_CNT>

</H-Inv>

[Source]

         # File lib/bio/io/hinv.rb, line 322
    322:       def result
    323:         @xml.elements['//LOCUS_CNT'].text.to_i
    324:       end

[Validate]